export function getCalendarApi(mainObject: any, fields: any, options: any): Promise<{
    method: string;
    url: string;
    data: {
        orderBy: string;
        orderDir: string;
        pageNo: string;
        pageSize: string;
        queryFields: string;
        query: string;
    };
    headers: {
        Authorization: string;
    };
}>;
export function getCalendarRecordPermissionsApi(mainObject: any, recordId: any): {
    method: string;
    url: string;
    data: {
        query: string;
    };
    headers: {
        Authorization: string;
    };
};
export function getCalendarRecordSaveApi(object: any, calendarOptions: any): {
    method: string;
    url: string;
    data: {
        objectName: any;
        $: {};
        $self: string;
    };
    requestAdaptor: string;
    adaptor: string;
    headers: {
        Authorization: string;
    };
};
export function getCalendarResourcesApi(objectSchema: any, calendarOptions: any): {
    url?: undefined;
    adaptor?: undefined;
} | {
    url: string;
    adaptor: (payload: any, response: any, api: any, context: any) => any;
};
/**
 * 列表视图Calendar amisSchema
 * @param {*} objectSchema 对象UISchema
 * @returns amisSchema
 */
export function getObjectCalendar(objectSchema: any, calendarOptions: any, options: any): Promise<any>;
export namespace DEFAULT_CALENDAR_OPTIONS {
    let startDateExpr: string;
    let endDateExpr: string;
    let textExpr: string;
}
